import QtQuick 2.12
import QtQuick.Window 2.12
import QtQml.Models 2.12

import QtQuick.Controls 2.12

Window {
    id: root_
    visible: true
    width: 640
    height: 480
    title: qsTr("Hello World")

    Action {
        id: action1_
        text: "action 1"
    }

    Action {
        id: action2_

        text: "action 2"

        property ObjectModel extraColumnModel: ObjectModel {
            CheckBox { }
        }
    }

    property bool enableAction1: false

    function actionList()
    {
        var elements = []
        if (enableAction1) {
            elements.push(action1_)
        }
        elements.push(action2_)
        return elements
    }

    ListView {
        anchors.fill: parent
        model: actionList()
        delegate: ActionDelegate {
            action: modelData
        }
    }

    Timer {
        interval: 1500
        running: true
        repeat: true
        onTriggered: {
            enableAction1 = !enableAction1
        }
    }
}
